Loading...
Searching...
No Matches
Sampler< 1, true > Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for Sampler< 1, true >:

## Static Public Member Functions

static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Trilinearly reconstruct inTree at inCoord and store the result in result.
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Trilinearly reconstruct inTree at inCoord.

## Member Function Documentation

## consistent()

static bool consistent | ( |  | ) |

inlinestaticinherited

## mipmap()

static bool mipmap | ( |  | ) |

inlinestaticinherited

## name()

static const char * name | ( |  | ) |

inlinestaticinherited

## order()

static size_t order | ( |  | ) |

inlinestaticinherited

## radius()

static int radius | ( |  | ) |

inlinestaticinherited

## sample() [1/2]

template<class TreeT >

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |

inlinestaticinherited

Trilinearly reconstruct inTree at inCoord.

Returns
  the reconstructed value

## sample() [2/2]

template<class TreeT >

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |

inlinestaticinherited

Trilinearly reconstruct inTree at inCoord and store the result in result.

Returns
  true if any one of the sampled value is active.

## staggered()

static bool staggered | ( |  | ) |

inlinestaticinherited